#pragma once // Always put this at the very top of your header files (prevents duplicate imports).

#include <iostream>
#include <string>

class MyClass
{
public:
    /** Constructor */
    MyClass(std::string message);
    /** Destructor */
    ~MyClass();

    /** Say message ! */
    void say_message() const;

private:
    // Variable attributes are usually private
    std::string message;
};

/** This function is inline : it is defined directly in the header file */
inline void print_hello_world()
{
    std::cout << "Hello, world!\n";
}