// Use CommonJS to enable extending this config, and using comments
module.exports = {
  singleQuote: true, // Prefer ' to "
  semi: true, // Always terminate lines with semicolons
  tabWidth: 2, // Use 2 spaces for indentation
  quoteProps: 'consistent',
  bracketSpacing: true, // {*bracketSpacing*}
  arrowParens: 'always', // (always perentheses around arrow args) => {}
  printWidth: 100, // Max 100 characters per line
  trailingComma: 'es5', // Use trailing commas where valid in ES5 (objects, arrays, etc.)
};
